org.apache.cassandra.db

## Class ColumnFamilyStore.FlushLargestColumnFamily

- java.lang.Object
- - org.apache.cassandra.db.ColumnFamilyStore.FlushLargestColumnFamily

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ColumnFamilyStore

    public static class ColumnFamilyStore.FlushLargestColumnFamily
    extends java.lang.Object
    implements java.lang.Runnable

Finds the largest memtable, as a percentage of *either* on- or off-heap memory limits, and immediately queues it for flushing. If the memtable selected is flushed before this completes, no work is done.

### Constructor Summary

Constructors
Constructor and Description
`FlushLargestColumnFamily()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlushLargestColumnFamily

    public FlushLargestColumnFamily()

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`